Developer Documentation

Signals | Public Member Functions | Private Slots | List of all members
LoggingInterface Class Referenceabstract

Interface for all Plugins which do logging to the logging window of the framework. More...

`#include <OpenFlipper/BasePlugin/LoggingInterface.hh>`

Inheritance diagram for LoggingInterface:

## Signals
virtual void | log (Logtype _type, QString _message)=0
virtual void | log (QString _message)=0

## Public Member Functions
virtual | ~LoggingInterface ()
| Destructor.

## Private Slots
virtual void | logOutput (Logtype _type, QString _message)

## Detailed Description

Interface for all Plugins which do logging to the logging window of the framework.

Detailed description
By emitting the given signals you can log information to the main logger window of the core. To simplify debugging, the core will prepend the plugin name to every log message. You dont have to do this yourself!
The log message will either be black or will be colored depending on the Logtype you specified.

A more detailed description of the LoggingInterface can be found here or read our tutorials Implementing a mesh smoother plugin and Implementing mouse and keyboard interaction for an example of how to use logging output.

Definition at line 112 of file LoggingInterface.hh.

## Member Function Documentation

## ◆ log [1/2]

virtual void LoggingInterface::log | ( | Logtype | _type,
|  | QString | _message
| ) |  |
| pure virtual signal

Send a log message to the mainwindow of the widget
This signal can be called from any thread.

Parameters

  _type | Message type (LOGINFO,LOGOUT,LOGWARN,LOGERR)
  _message | Message to be displayed

## ◆ log [2/2]

virtual void LoggingInterface::log | ( | QString | _message | ) |
| pure virtual signal

Send a log message to the mainwindow of the widget
defaults to LOGOUT message type
This signal can be called from any thread.

Parameters

  _message | Message to be displayed

## ◆ logOutput

virtual void LoggingInterface::logOutput | ( | Logtype | _type,
|  | QString | _message
| ) |  |
| inline private virtual slot

Through this slot you can receive all logging information emitted by OpenFlipper or one of its plugins

Parameters

  _type | Message type
  _message | Message

Definition at line 139 of file LoggingInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/LoggingInterface.hh